#ifndef UNICODE
	#define UNICODE
#endif	//UNICODE

#include "videoInput.h"

extern "C"
{	
	typedef LPVOID VIHANDLE;

	VIHANDLE	__cdecl VICreate();
	INT			__cdecl VIListDevices(VIHANDLE lpVi);
	VOID		__cdecl VIGetDeviceName(INT iDeviceID, LPWSTR lpszBuffer, INT cBufferSize, VIHANDLE lpVi);
	BOOL		__cdecl VISetupDevice(INT iDeviceID, INT iWidth, INT iHeight, VIHANDLE lpVi);
	BOOL		__cdecl VIDefSetupDevice(INT iDeviceID, VIHANDLE lpVi);
	VOID		__cdecl VIStopDevice(INT iDeviceID, VIHANDLE lpVi);
	BOOL		__cdecl VIIsFrameNew(INT iDeviceID, VIHANDLE lpVi);
	INT			__cdecl VIGetSize(INT iDeviceID, VIHANDLE lpVi);
	INT			__cdecl VIGetWidth(INT iDeviceID, VIHANDLE lpVi);
	INT			__cdecl VIGetHeight(INT iDeviceID, VIHANDLE lpVi);
	BOOL		__cdecl VIGrabFrame(INT iDeviceID, LPBYTE lpBuffer, VIHANDLE lpVi);
	VOID		__cdecl VIShowSettings(INT iDeviceID, VIHANDLE lpVi);
	BOOL		__cdecl VIIsSetUp(INT iDeviceID, VIHANDLE lpVi);
	VOID		__cdecl VIClose(VIHANDLE lpVi);
}

